Configuring Spring version on Windows

Configuring Spring version on Windows

SpringRTS Perl Autohost for Dedicated Server

Moderators: Moderators, Lobby Developers, SPADS AutoHost

Post Reply
constatinus
Posts: 31
Joined: 27 Sep 2015, 23:00

Configuring Spring version on Windows

Post by constatinus » 27 Sep 2015, 23:06

Hey ,i have a problem, can you help me to fix it? I have installer spring with evolution RTS -8.99 and some maps,and a 96.0 engine,and perl active win x86, wget, but when i try to start SPADS (i have installer poads with perl spadsInstaller.pl and perl spadsInstaller.pl stable,i installed stable version and a headless server,but when i try to start spads with ,,perl spads.pl C:\Program Files (x86)\Spring\spadsconfig/spads.conf is says:
usage: perl <something like file.pl> <configuration>?
Can you help me.
0 x

hokomoko
Spring Developer
Posts: 581
Joined: 02 Jun 2014, 00:46

Re: SPADS AutoHost

Post by hokomoko » 27 Sep 2015, 23:22

constatinus wrote:Hey ,i have a problem, can you help me to fix it? I have installer spring with evolution RTS -8.99 and some maps,and a 96.0 engine,and perl active win x86, wget, but when i try to start SPADS (i have installer poads with perl spadsInstaller.pl and perl spadsInstaller.pl stable,i installed stable version and a headless server,but when i try to start spads with ,,perl spads.pl C:\Program Files (x86)\Spring\spadsconfig/spads.conf is says:
usage: perl <something like file.pl> <configuration>?
Can you help me.
There are spaces in "Program Files (x86)"

so it may need to be
perl spads.pl "C:\Program Files (x86)\Spring\spadsconfig/spads.conf"
0 x

constatinus
Posts: 31
Joined: 27 Sep 2015, 23:00

Re: SPADS AutoHost

Post by constatinus » 28 Sep 2015, 18:06

hokomoko wrote:
constatinus wrote:Hey ,i have a problem, can you help me to fix it? I have installer spring with evolution RTS -8.99 and some maps,and a 96.0 engine,and perl active win x86, wget, but when i try to start SPADS (i have installer poads with perl spadsInstaller.pl and perl spadsInstaller.pl stable,i installed stable version and a headless server,but when i try to start spads with ,,perl spads.pl C:\Program Files (x86)\Spring\spadsconfig/spads.conf is says:
usage: perl <something like file.pl> <configuration>?
Can you help me.
There are spaces in "Program Files (x86)"

so it may need to be
perl spads.pl "C:\Program Files (x86)\Spring\spadsconfig/spads.conf"
ok,its working for me ,thank you but i have another problem. When i join my server, Evolution RTS 8.99 game,it says that my game doesn't match servers:
Evolution RTS - 8.99, but i have that game installed(using steam,if that is correct) and it says that server is using engine spring 100.0 (i have installed spring 96.0,and that is an engine for Evolution RTS)?
Can you help me?
0 x

constatinus
Posts: 31
Joined: 27 Sep 2015, 23:00

Re: SPADS AutoHost

Post by constatinus » 28 Sep 2015, 20:31

I have a problem,can someone help me to fix it?
When i join my server(SPADS), Evolution RTS 8.99 game,it says that my game doesn't match servers game:
Evolution RTS - 8.99, but i have that game installed(using steam,if that is correct) and it says that server is using engine spring 100.0 (i have installed spring 96.0,and that is an engine for Evolution RTS)?
Can someone help me?
0 x

User avatar
Jools
XTA Developer
Posts: 2804
Joined: 23 Feb 2009, 16:29

Re: SPADS AutoHost

Post by Jools » 28 Sep 2015, 20:36

It's true that there is newer engine(100.0) that most games are using, and that's why the lobby you are using says that message. Just so you know, there are many lobbies for spring, and most of them are compatible with multiple engine versions, but sometimes you have to enable this in the options/settings somewhere. You should try that.

You could also add to your message information about which lobby you are using, but I suspect it is Spring WebLobby from the fact that you mentioned steam. So maybe try with another lobby client, here are some links:

http://springfiles.com/spring/lobby-clients

https://springrts.com/wiki/Lobby_Development
0 x

hokomoko
Spring Developer
Posts: 581
Joined: 02 Jun 2014, 00:46

Re: SPADS AutoHost

Post by hokomoko » 28 Sep 2015, 21:24

Jools wrote:It's true that there is newer engine(100.0) that most games are using, and that's why the lobby you are using says that message. Just so you know, there are many lobbies for spring, and most of them are compatible with multiple engine versions, but sometimes you have to enable this in the options/settings somewhere. You should try that.

You could also add to your message information about which lobby you are using, but I suspect it is Spring WebLobby from the fact that you mentioned steam. So maybe try with another lobby client, here are some links:

http://springfiles.com/spring/lobby-clients

https://springrts.com/wiki/Lobby_Development
Ignore this post.

Your issue is probably that SPADS used 100.0 as the hosted version, there should be some configuration to change that. Probably in spads.conf
0 x

constatinus
Posts: 31
Joined: 27 Sep 2015, 23:00

Re: SPADS AutoHost

Post by constatinus » 29 Sep 2015, 17:29

hokomoko wrote:
Jools wrote:It's true that there is newer engine(100.0) that most games are using, and that's why the lobby you are using says that message. Just so you know, there are many lobbies for spring, and most of them are compatible with multiple engine versions, but sometimes you have to enable this in the options/settings somewhere. You should try that.

You could also add to your message information about which lobby you are using, but I suspect it is Spring WebLobby from the fact that you mentioned steam. So maybe try with another lobby client, here are some links:

http://springfiles.com/spring/lobby-clients

https://springrts.com/wiki/Lobby_Development
Ignore this post.

Your issue is probably that SPADS used 100.0 as the hosted version, there should be some configuration to change that. Probably in spads.conf
I cant find something for engine in any of the spads config files,but i found a option ,,springServerType:" ,and i don't know if u must fill something like ,,Spring 96.0" (100% not).
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SPADS AutoHost

Post by abma » 30 Sep 2015, 08:48

http://planetspads.free.fr/spads/doc/spadsDoc.html

springServerType: the server type is auto-detected from spring server binary name (see springServer), Allowed values:
dedicated
headless

-> you don't want to change springServerType!

the config setting you want to change is springServer i guess ...
0 x

User avatar
Silentwings
Moderator
Posts: 3585
Joined: 25 Oct 2008, 00:23

Re: SPADS AutoHost

Post by Silentwings » 30 Sep 2015, 09:46

You will need to set the onBadSpringVersion tag, see the page in abmas link, since you are using wanting to use an old engine version.
0 x

constatinus
Posts: 31
Joined: 27 Sep 2015, 23:00

Re: SPADS AutoHost

Post by constatinus » 30 Sep 2015, 17:42

Same problem, when i changed springServer to a headless server 96.0,(C:/tempspads/spring-headless-96.0.exe)It says that i must set serverSpringType to headless or dedicated,i set it on headless, and again i have the same problem.

What onBadSpringVersion tag, for me it is on closeBattle, but the battle is open (spring version is correct, i have spring 96.0).
0 x

constatinus
Posts: 31
Joined: 27 Sep 2015, 23:00

Re: SPADS AutoHost

Post by constatinus » 03 Oct 2015, 14:47

abma wrote:http://planetspads.free.fr/spads/doc/spadsDoc.html

springServerType: the server type is auto-detected from spring server binary name (see springServer), Allowed values:
dedicated
headless

-> you don't want to change springServerType!

the config setting you want to change is springServer i guess ...
Same problem, when i changed springServer to a headless server 96.0,(C:/tempspads/spring-headless-96.0.exe)It says that i must set serverSpringType to headless or dedicated,i set it on headless, and again i have the same problem.
0 x

constatinus
Posts: 31
Joined: 27 Sep 2015, 23:00

Re: SPADS AutoHost

Post by constatinus » 03 Oct 2015, 14:47

Silentwings wrote:You will need to set the onBadSpringVersion tag, see the page in abmas link, since you are using wanting to use an old engine version.
What onBadSpringVersion tag, for me it is on closeBattle, but the battle is open (spring version is correct, i have spring 96.0).
0 x

User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Re: SPADS AutoHost

Post by bibim » 05 Oct 2015, 09:27

1) You should not modify the springServerType setting. As explained in the documentation this setting is only useful if you need to force SPADS to consider a Spring binary as headless or dedicated type. This has nothing to do with your problem so please set it back to empty value which should auto-detect the correct type.

2) You should not modify the springServer setting. By default autoUpdateBinaries is enabled on Windows, which makes SPADS auto-download the Spring server binary corresponding to the unitsync version in use. So, unless you don't want to use autoUpdateBinaries, the springServer setting value should not be modified (it should be something like "C:\spadsdir\spring-dedicated.exe").

3) According to your description of the problem, it seems you installed SPADS by specifying a Spring installation directory containing Spring 100.0 and now want to reconfigure SPADS to use Spring 96.0. For this, you just need to follow the instructions detailed in SPADS update procedure for new Spring version. In your case, this simply consists in specifying the correct Spring installation directory in the springDataDir setting in spads.conf and restarting SPADS.
0 x

Post Reply

Return to “SPADS AutoHost”